#!/gnuplot
# png graph of coolplate temperature plus target t

set output "/home/pi/coolplate/programs/cp_graf.png"
set term png size 600,300
set xdata time
set timefmt "%Y-%m-%dT%H:%M:%S"
set format x "%H:%M"
set xlabel "Hour:Minute"
set yrange [10:45]
set ytics 10,5,45
set ylabel "Temperature ({/symbol \260}C)"

plot "/home/pi/coolplate/programs/t_record.txt" \
using 1:4 t 'Target' with lines lc rgb"#aa0000" lw 2 \
,'' using 1:2 t 'T1' with lines lc rgb"#0000aa" lw 2 \
,'' using 1:3 t 'T2' with lines lc rgb"#00aa00" lw 1



